Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025274
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-12-04 13:242013-12-19 12:30
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision41d4efa5499e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-09-11
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/290c9b12a211 [^]
Triggers an Emergency PackNo
Summary

0025274: The time fields are not working properly

DescriptionWhen entering a value on a time field, the value is automatically changed when saving the record
Steps To Reproduce-Go to process request window
-Define a new request and define it a schedule
-PUt on the starting time 10:00
-Save
*See that the value is changed to 09:00
*If you refresh it is chabnged to 12:00

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 00249343.0MP31 closedAugustoMauch Columns with reference Time are not displayed/stored properly 
related to defect 00256023.0PR14Q2 closedAugustoMauch The time fiels are modified after save a record 
blocks defect 00258273.0PR14Q2 closedAugustoMauch Time fields are not working properly in timezones with negative offsets 

-  Notes
(0062668)
hgbot (developer)
2013-12-09 13:18

Repository: erp/devel/pi
Changeset: 41d4efa5499e3e7f0abc1db7a8d2ad053d38d319
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 09 13:16:08 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/41d4efa5499e3e7f0abc1db7a8d2ad053d38d319 [^]

Fixes issue 25274: Time fields are not working properly

There were two errors:
- When a time field was edited from the form there was a missing convertion from UTC to local time.
- There was a bug in convertToClassicString. It was always converting from utc to local time, but at that point the value introduce was already converted to t
he proper time zone.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/TimeUIDefinition.java
---
(0062684)
shankarb (developer)
2013-12-10 11:24

Code reviewed and verified in e2b2f77a7103.
(0062836)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-12-04 13:24 egoitz New Issue
2013-12-04 13:24 egoitz Assigned To => AugustoMauch
2013-12-04 13:24 egoitz Modules => Core
2013-12-04 13:24 egoitz Triggers an Emergency Pack => No
2013-12-04 13:29 egoitz Regression level => Production - QA Approved
2013-12-09 13:14 AugustoMauch Issue Monitored: shankarb
2013-12-09 13:15 AugustoMauch Review Assigned To => shankarb
2013-12-09 13:18 hgbot Checkin
2013-12-09 13:18 hgbot Note Added: 0062668
2013-12-09 13:18 hgbot Status new => resolved
2013-12-09 13:18 hgbot Resolution open => fixed
2013-12-09 13:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/41d4efa5499e3e7f0abc1db7a8d2ad053d38d319 [^]
2013-12-10 11:24 shankarb Note Added: 0062684
2013-12-10 11:24 shankarb Status resolved => closed
2013-12-10 11:24 shankarb Fixed in Version => 3.0MP31
2013-12-12 12:02 AugustoMauch Regression level Production - QA Approved => Production - Confirmed Stable
2013-12-12 12:03 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/290c9b12a211 [^]
2013-12-12 12:03 AugustoMauch Regression date => 2013-09-11
2013-12-17 10:46 alostale Relationship added has duplicate 0024934
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062836
2014-01-30 09:37 egoitz Relationship added related to 0025602
2014-02-25 11:11 AugustoMauch Relationship added blocks 0025827


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker